-- ============================================================
--   Database name:  FOLHA                                   
--   DBMS name:      ORACLE Version 21.x 
--   Created on:     26/04/2024  18:00                        
--   Issue:          Solicitação de Aumento de Quadro (MP) - PORTAL DO GESTOR

-- ============================================================
-- Table: GPE_TIPOSOLICITACAO
-- ============================================================


INSERT INTO 
GPE_TIPOSOLICITACAO(NRORG, NRTIPOSOLICITACAO, NMTIPOSOLICITACAO, IDATIVO, DTINCLUSAO, DTULTATU, NRORGINCLUSAO, CDOPERINCLUSAO, NRORGULTATU, CDOPERULTATU) 
VALUES ('0', '28', 'Solicitação de Aumento de Quadro', 'S', SYSDATE, NULL, '1', '1', '1', '1');


ALTER TABLE DES_PROCESSO
ADD (NRGRAUINSTR NUMBER);

ALTER TABLE DES_PROCESSO
ADD (NRTIPOVINCULOM NUMBER);

ALTER TABLE DES_PROCESSO
ADD (NRVINCULOEMPREG NUMBER);

ALTER TABLE DES_PROCESSO
ADD CONSTRAINT fk_des_processo_grauinstr
    FOREIGN KEY (NRGRAUINSTR)
    REFERENCES GPE_GRAUINSTR(NRGRAUINSTR) ON DELETE SET NULL;

ALTER TABLE DES_PROCESSO
ADD CONSTRAINT fk_des_processo_tipovinculom
    FOREIGN KEY (NRTIPOVINCULOM)
    REFERENCES GPE_TIPOVINCULOM(NRTIPOVINCULOM) ON DELETE SET NULL;

ALTER TABLE DES_PROCESSO
ADD CONSTRAINT fk_des_processo_vinculoempreg
    FOREIGN KEY (NRVINCULOEMPREG)
    REFERENCES GPE_VINCULOEMPREG(NRVINCULOEMPREG) ON DELETE SET NULL;


ALTER TABLE DES_PROCESSO
ADD (DTPREVISTAADMISSAO DATE);

ALTER TABLE DES_PROCESSO
ADD (NMPESSOA VARCHAR2(100));

ALTER TABLE DES_PROCESSO
ADD (NRCPFPESSOA VARCHAR2(20));

ALTER TABLE DES_PROCESSO
ADD NRVAGASADMITIDAS NUMBER DEFAULT 0 NOT NULL;